/**
 * Code released under WTFPL [http://sam.zoy.org/wtfpl/]
 * 
 * @author Arnaud Pichery [http://coderpeon.wordpress.com]
 */
package com.coderpeon.comptree
{
	import flash.display.DisplayObject;

	public class ComponentTreeChrome implements IComponentTreeItem {
		
		private var _children: Array;

		[Embed(source="assets/Chrome.png")] 
		private var _iconSymbol:Class;

		public function ComponentTreeChrome(kids: Array) {
			if (kids == null || kids.length == 0)
				throw new Error("kids argument cannot be null or empty");

			_children = kids;
		}
		
	    /**
	     *  The label of the item.
	     */
		public function get label(): String {
			return "Chrome";
		}

	    /**
	     *  The icon for the item.
	     */
		public function get icon(): Class {
			return _iconSymbol;
		}

	    /**
	     *  The children of this item.
	     */
		public function get children(): Array {
			return _children;
		}
	}
}